--- title: "Get cluster" slug: "analytics-clouddatastreamingservice-cluster-getclusterinfo" tags: ["Cloud Data Streaming Service"] updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getclusterinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get cluster Available in VPC Get Cloud Data Streaming Service cluster details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/getClusterInfoList/{serviceGroupInstanceNo} (Korea Region) | | POST | /api/sgn-v1/cluster/getClusterInfoList/{serviceGroupInstanceNo} (Singapore Region) | | POST | /api/jpn-v1/cluster/getClusterInfoList/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getClusterInfoList/2434156' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.clusterName` | String | - | Cluster name | | `result.kafkaVersionCode` | String | - | Kafka version code | | `result.kafkaManagerUserName` | String | - | Manager tool access account ID | | `result.softwareProductCode` | String | - | Operating system type code | | `result.vpcNo` | Integer | - | VPC number | | `result.managerNodeProductCode` | String | - | Manager node server type code | | `result.managerNodeSubnetNo` | Integer | - | Manager node subnet number | | `result.brokerNodeProductCode` | String | - | Broker node server type code | | `result.brokerNodeSubnetNo` | Integer | - | Broker node subnet number | | `result.brokerNodeCount` | Integer | - | Number of broker nodes | | `result.brokerNodeStorageSize` | Integer | - | Storage capacity by broker node (GB) | | `result.configGroupNo` | Integer | - | Config group number | | `result.status` | String | - | Cluster status | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "clusterName": "cluster00", "kafkaVersionCode": "3903006", "kafkaManagerUserName": "userid", "softwareProductCode": "SW.VCDSS.OS.LNX64.CNTOS.0708.B050", "vpcNo": 4***, "managerNodeProductCode": "SVR.VCDSS.STAND.C002.M008.NET.SSD.B050.G002", "managerNodeSubnetNo": 33***, "brokerNodeProductCode": "SVR.VCDSS.STAND.C002.M008.NET.SSD.B050.G002", "brokerNodeSubnetNo": 33***, "brokerNodeCount": 3, "brokerNodeStorageSize": 100, "configGroupNo": 3**, "status": "running" }, "requestId": "a0d09046-****-****-****-207abe3cf0bc" } ```